Subject: [Pana] Liaison letter cover

From: "Alper Yegin" <[email-masked]>
Date: Mon, 10 Dec 2007 03:12:02 +0200

This is the cover letter text to precede the PANA analysis.

The PANA (Protocol for carrying Authentication for Network Access) Working
Group in the IETF is chartered to work on defining a link-layer type
independent network access authentication protocol. WG has completed its
work on specifying the PANA protocol and the specification is now in the RFC
editors queue for publication as a proposed standard
(http://ietf.org/internet-drafts/draft-ietf-pana-pana-18.txt).

Earlier this year, the DSL Forum had sent a liaison statement to the IETF
requesting information about a protocol or work in the IETF which would meet
the DSL Forum's requirements for subscriber authentication in the context of
the evolution of the DSL architecture. DSL Forum's migration away from PPP
has been identified as one of the candidate deployments for PANA from the
early days of the WG as documented in RFC 4058
(http://ietf.org/rfc/rfc4058.txt). Additionally, the specific DSLF
requirements were discussed at the PANA WG meeting at IETF70 in Vancouver
(Dec 5, 2007). There was consensus at the WG meeting as well as on the PANA
WG mailing list about the applicability of the protocol for the DSL Forum's
subscriber authentication requirements. The PANA WG's analysis is attached
to this letter.

We would like to request the DSL Forum's technical committee to review the
suitability of PANA for addressing your requirements especially in view of
the fact that the protocol is now lined up to be published as a proposed
standard RFC by the IETF.  If you have further questions or need
clarifications, please do not hesitate to contact the PANA WG.

IETF PANA WG Chairs

_______________________________________________
Pana mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pana

---

From: "Wojciech Dec (wdec)" <[email-masked]>
Date: Mon, 10 Dec 2007 12:19:55 +0100

Alper, I'm sorry, but I haven't heard consensus "about the applicability
of the protocol for the DSL Forum's subscriber 
authentication requirements." Particulalry not with the issues I pointed
out.
This assesment is premature, and the text of the liaison is not in order
and I call for it to be revised. 

Regards,
Woj.

> -----Original Message-----
> From: Alper Yegin [mailto:[email-masked]] 
> Sent: 10 December 2007 02:12
> To: [email-masked]
> Subject: [Pana] Liaison letter cover
> 
> 
> The PANA (Protocol for carrying Authentication for Network 
> Access) Working Group in the IETF is chartered to work on 
> defining a link-layer type independent network access 
> authentication protocol. WG has completed its work on 
> specifying the PANA protocol and the specification is now in 
> the RFC editors queue for publication as a proposed standard 
> Earlier this year, the DSL Forum had sent a liaison statement 
> to the IETF requesting information about a protocol or work 
> in the IETF which would meet the DSL Forum's requirements for 
> subscriber authentication in the context of the evolution of 
> the DSL architecture. DSL Forum's migration away from PPP has 
> been identified as one of the candidate deployments for PANA 
> from the early days of the WG as documented in RFC 4058 
> (http://ietf.org/rfc/rfc4058.txt). Additionally, the specific 
> DSLF requirements were discussed at the PANA WG meeting at 
> IETF70 in Vancouver (Dec 5, 2007). There was consensus at the 
> WG meeting as well as on the PANA WG mailing list about the 
> applicability of the protocol for the DSL Forum's subscriber 
> authentication requirements. The PANA WG's analysis is 
> attached to this letter.
> 
> We would like to request the DSL Forum's technical committee 
> to review the suitability of PANA for addressing your 
> requirements especially in view of the fact that the protocol 
> is now lined up to be published as a proposed standard RFC by 
> the IETF.  If you have further questions or need

---

From: Subir Das <[email-masked]>
Date: Mon, 10 Dec 2007 13:43:39 -0500

I thought your issues were answered. If not, please let the WG know it 
once again.
It would be helpful if you stay focus on the current requirements not 
w.r.t. the cost and
complexity since there are no such requirements yet. 

regards,
-Subir

---

From: Mark Townsley <[email-masked]>
Date: Tue, 11 Dec 2007 12:28:29 +0000

> complexity since there are no such requirements yet.
Woj does suffer from a deeper understanding of the requirements vs. 
precisely what was written and transmitted to the IETF. AFAIK, he's been 
at every DSL Forum meeting and a regular contributor for more than 4 
years, so you might be able to learn a bit from him.

- Mark
>> of the protocol for the DSL Forum's subscriber authentication 
>> requirements." Particulalry not with the issues I pointed
>> out.
>>> From: Alper Yegin [mailto:[email-masked]] Sent: 10 December 
>>> 2007 02:12
>>> To: [email-masked]
>>> The PANA (Protocol for carrying Authentication for Network Access) 
>>> Working Group in the IETF is chartered to work on defining a 
>>> link-layer type independent network access authentication protocol. 
>>> WG has completed its work on specifying the PANA protocol and the 
>>> specification is now in the RFC editors queue for publication as a 
>>> proposed standard 
>>> Earlier this year, the DSL Forum had sent a liaison statement to the 
>>> IETF requesting information about a protocol or work in the IETF 
>>> which would meet the DSL Forum's requirements for subscriber 
>>> authentication in the context of the evolution of the DSL 
>>> architecture. DSL Forum's migration away from PPP has been 
>>> identified as one of the candidate deployments for PANA from the 
>>> requirements were discussed at the PANA WG meeting at IETF70 in 
>>> Vancouver (Dec 5, 2007). There was consensus at the WG meeting as 
>>> well as on the PANA WG mailing list about the applicability of the 
>>> protocol for the DSL Forum's subscriber authentication requirements. 
>>> The PANA WG's analysis is attached to this letter.
>>>
>>> We would like to request the DSL Forum's technical committee to 
>>> review the suitability of PANA for addressing your requirements 
>>> especially in view of the fact that the protocol is now lined up to 
>>> be published as a proposed standard RFC by the IETF.  If you have 
>>> further questions or need clarifications, please do not hesitate to 
>>> contact the PANA WG.
>>>
>>>
>>>
>>> IETF PANA WG Chairs
>>>
>>>
>>>
>>>

---

From: Subir Das <[email-masked]>
Date: Tue, 11 Dec 2007 11:03:32 -0500

That' good and I think we need folks who understand DSLF requirements 
better. Thanks Woj. However, what
I find is that we are bringing other aspects time to time as it fits. 
Other aspects may be important too but that should
be identified and listed as requirements. We are now  comparing  PANA 
w.r.t. the listed technical requirements
and we should continue to do that. If additional requirements come, I 
think it is time for IETF to call for proposals 
and then the proposals should be evaluated by a technical committee. 
After all, if DSLF needs an IETF protocol, 
we should do it correctly even if it has some impacts on their operations. 

regards,
-Subir

Mark Townsley wrote:
> Subir Das wrote:
>> I thought your issues were answered. If not, please let the WG know 
>> it once again.
> precisely what was written and transmitted to the IETF. AFAIK, he's 
> been at every DSL Forum meeting and a regular contributor for more 
> than 4 years, so you might be able to learn a bit from him.
>
> - Mark
>> regards,
>> -Subir
>>
>>>> Earlier this year, the DSL Forum had sent a liaison statement to 
>>>> the IETF requesting information about a protocol or work in the 
>>>> IETF which would meet the DSL Forum's requirements for subscriber 
>>>> protocol for the DSL Forum's subscriber authentication 
>>>> requirements. The PANA WG's analysis is attached to this letter.
>>>>

---

From: "Wojciech Dec (wdec)" <[email-masked]>
Date: Tue, 11 Dec 2007 17:49:56 +0100

Subir,

a couple of points;
- the DSLF requirements are not purely technical, they are also
operational.
- the issues in the assessment I have pointed out specifically concern
the requirements already there and what their spirit of reason is. Some
of them assume a certain common sense interpretation, eg Technically a
proposal that sees carrier pigeons sent by the subscriber to the BRAS
operator that types in commands could also be seen as meeting many
(all?) of the requirements, but is this reasonable operationally and
reasonable to propose? (and this one would support IPv6)

-Woj.

> From: Subir Das [mailto:[email-masked]] 
> Sent: 11 December 2007 16:04
> To: Mark Townsley (townsley)
> Cc: Wojciech Dec (wdec); Alper Yegin; [email-masked]; Jari Arkko
> Subject: Re: [Pana] Liaison letter cover
> 
> That' good and I think we need folks who understand DSLF 
> requirements better. Thanks Woj. However, what I find is that 
> we are bringing other aspects time to time as it fits. 
> Other aspects may be important too but that should be 
> identified and listed as requirements. We are now  comparing  
> PANA w.r.t. the listed technical requirements and we should 
> continue to do that. If additional requirements come, I think 
> it is time for IETF to call for proposals and then the 
> proposals should be evaluated by a technical committee. 
> After all, if DSLF needs an IETF protocol, we should do it 
> correctly even if it has some impacts on their operations. 
> 
> regards,
> -Subir
> 
> Mark Townsley wrote:
> > Subir Das wrote:
> >> w.r.t. the cost and complexity since there are no such 
> requirements 
> >> yet.
> >>> Alper, I'm sorry, but I haven't heard consensus "about the 
> >>> authentication requirements." Particulalry not with the issues I 
> >>> pointed out.
> >>> This assesment is premature, and the text of the liaison 
> is not in 
> >>> order and I call for it to be revised.
> >>> Regards,
> >>> Woj.
> >>>
> >>>